import 'package:cruiser/cruiser.dart';

extension CruiserTransitionExtension on CruiserTransition
{

    String get name
    {
        switch (this) 
        {
            case CruiserTransition.zoomIn: return 'Zoom in';
            case CruiserTransition.fadeIn: return 'Fade in';
            case CruiserTransition.slideFromBottom: return 'Slide from bottom';
            case CruiserTransition.slideFromLeft: return 'Slide from left';
            case CruiserTransition.slideFromRight: return 'Slide from right';
            case CruiserTransition.slideFromTop: return 'Slide from top';
            default: return null;
        }
    }
}