import 'package:cruiser/src/models/cruiser_args.dart';
import 'package:cruiser/src/transitions/cruiser_transition.dart';
import 'package:cruiser/src/transitions/custom_cruiser_transition.dart';
import 'package:flutter/animation.dart';

class RouteArgsPair 
{
    final String name;
    final CruiserArgs args;
    final List<CruiserTransition> transitions;
    final Duration transitionDuration;
    final Curve transitionCurve;
    final CustomCruiserTransition customTransition;

    RouteArgsPair
    (
        this.name, {
        this.args,
        this.transitions,
        this.transitionDuration,
        this.transitionCurve,
        this.customTransition,
    });
}
